﻿class PixelPanel extends MovieClip {
	//
	var duracion:Number;
	var link:String;
	var tabla:Array;
	var separacion:Number;
	var j:Number;
	public function PixelPanel() {
		this.j = 0;
	}
	private function depth():Number {
		return j++;
	}
	//
	public function init(_tabla:Array, _link:String, _separacion:Number, _duracion:Number):Void {
		this.duracion = _duracion*1000;
		this.link = _link;
		this.tabla = _tabla;
		this.separacion = _separacion;
		//
		for (var i:Number = 0; i<tabla.length; i++) {
			for (var u:Number = 0; u<tabla[i].length; u++) {
				var tmp:MovieClip = this.attachMovie(this.link, "item_"+i+"_"+u, depth());
				tmp._x = (tmp._width+separacion)*u;
				tmp._y = (tmp._height+separacion)*i;
				tmp.gotoAndStop("off");
				tmp.estado = this.tabla[i][u];
				tmp.tiempo = getTimer();
				tmp.duracion = random(this.duracion);
				tmp.onEnterFrame = function() {
					if (getTimer()-this.tiempo>=this.duracion) {
						if (this.estado == 1) {
							this.gotoAndStop("on");
						}
						this.onEnterFrame = null;
					}
				};
			}
		}
	}
	public function cambio(_tabla:Array):Void {
		this.tabla = _tabla;
		for (var i:Number = 0; i<tabla.length; i++) {
			for (var u:Number = 0; u<tabla[i].length; u++) {
				var tmp:MovieClip = this["item_"+i+"_"+u];
				tmp.estado = this.tabla[i][u];
				tmp.tiempo = getTimer();
				tmp.duracion = random(this.duracion);
				tmp.onEnterFrame = function() {
					if (getTimer()-this.tiempo>=this.duracion) {
						if (this.estado == 1) {
							this.gotoAndStop("on");
						} else {
							this.gotoAndStop("off");
						}
						this.onEnterFrame = null;
					}
				};
			}
		}
	}
	public function off():Void {
		for (var i:Number = 0; i<this.tabla.length; i++) {
			for (var u:Number = 0; u<this.tabla[i].length; u++) {
				var tmp:MovieClip = this["item_"+i+"_"+u];
				tmp.gotoAndStop("off");
			}
		}
	}
}
